lfnetwork.com mark read register faq members calendar

Thread: JK2 1.03 Linux seg fault
Thread Tools Display Modes
Post a new thread. Add a reply to this thread. Indicate all threads in this forum as read. Subscribe to this forum. RSS feed: this forum RSS feed: all forums
Old 09-04-2008, 04:04 PM   #1
paskanvitut
Lurker
 
Join Date: Sep 2008
Posts: 5
JK2 1.03 Linux seg fault

I've been searching through the internet (including these forums) for quite some time now for a solution to this.

The server:
Code:
2.6.18-92.1.10.el5xen x86_64 Dual-Core AMD Opteron(tm) Processor 2216 HE
gcc-3.4.5, glibc-2.6.1-r0

enough ram
Gentoo Linux
The problem:
Code:
JK2MP: v1.03a linux-i386 May 15 2002
Initialising zone memory .....
----- FS_Startup -----
Current search path:
/home/jk2/.jkii/base
/home/jk2/jk2/jk2linuxded103a/base/assets2.pk3 (289 files)
/home/jk2/jk2/jk2linuxded103a/base/assets1.pk3 (8011 files)
/home/jk2/jk2/jk2linuxded103a/base/assets0.pk3 (6674 files)
/home/jk2/jk2/jk2linuxded103a/base
./jk2ded/base

----------------------
14974 files in pk3 files
execing mpdefault.cfg
execing jk2mpserver.cfg
couldn't exec autoexec.cfg
Hunk_Clear: reset the hunk ok
Segmentation fault
So, it gives a segmentation fault on start up. For most problems like this I found the solution to be the missing assets2.pk3. But as can be seen from the log, it is there. And it's not even broken (md5sums match with a 100% working one). I also heard it might be because of too old glib(c). The server has all the compatibility packages I could find, no help.

This same problem also exists on two other pcs of mine so it can't have anything to do with the hardware. 1.04 runs smoothly on all the machines. Needless to say, I'm getting rather frustrated. Any ideas are appreciated!
paskanvitut is offline   you may: quote & reply,
Old 09-05-2008, 01:53 AM   #2
Det. Bart Lasiter
obama.png
 
Det. Bart Lasiter's Avatar
 
Join Date: Mar 2005
Location: `(.)~
Posts: 7,997
Current Game: all
Forum Veteran LF Jester 
What USE flags did you emerge glibc with (make sure to check make.conf as well as package.use)?



"No, Mama. You can bet your sweet ass and half a titty whoever put that hit on you already got the cops in their back pocket." ~Black Dynamite
Det. Bart Lasiter is offline   you may: quote & reply,
Old 09-07-2008, 06:26 PM   #3
paskanvitut
Lurker
 
Join Date: Sep 2008
Posts: 5
Quote:
Originally Posted by jmac7142 View Post
What USE flags did you emerge glibc with (make sure to check make.conf as well as package.use)?
The main server:
Code:
[ebuild   R   ] sys-libs/glibc-2.6.1  USE="gd nls -debug -glibc-omitfp (-hardened) (-multilib) -profile (-selinux) -vanilla
Desktop (which I also tried):
Code:
[ebuild   R   ] sys-libs/glibc-2.8_p20080602  USE="glibc-compat20 nls -debug -gd -glibc-omitfp (-hardened) (-multilib) -profile (-selinux) -vanilla"
The third pc I tested it with has binary packages. I've tried everything I can think of...
paskanvitut is offline   you may: quote & reply,
Old 09-13-2008, 01:57 AM   #4
Det. Bart Lasiter
obama.png
 
Det. Bart Lasiter's Avatar
 
Join Date: Mar 2005
Location: `(.)~
Posts: 7,997
Current Game: all
Forum Veteran LF Jester 
Hmm... the only ways I can think of to get 1.03 working would be to downgrade glibc (if that's actually the problem/you can do this and not break your system/are willing to re-emerge your system) or to get a copy of an older version of glibc and start the server with LD_LIBRARY_PATH=[path] [server executable] BUT DO NOT EMERGE AN OLDER VERSION OVER YOUR CURRENT VERSION. You'll need to find an archive then make it (DON'T install it).

It'd probably just be easier to use 1.04 though...



"No, Mama. You can bet your sweet ass and half a titty whoever put that hit on you already got the cops in their back pocket." ~Black Dynamite
Det. Bart Lasiter is offline   you may: quote & reply,
Old 09-13-2008, 02:01 AM   #5
Inyri
The Magical Malefactor
 
Inyri's Avatar
 
Join Date: Sep 2004
Location: Chicago
Posts: 2,505
Current Game: Mass Effect 3
Veteran Modder Forum Veteran Helpful! Contest winner - Fan Fiction 
Why are you bothering with a 1.03 server? There are few enough 1.04 players. You're going to shoot yourself in the foot in terms of traffic if you're trying to attract 1.03 players.

I don't think it's really worth all the trouble you seem to be going through for the 3 or 4 people who might join your server during its lifetime.

Inyri is offline   you may: quote & reply,
Old 09-19-2008, 03:27 PM   #6
paskanvitut
Lurker
 
Join Date: Sep 2008
Posts: 5
Quote:
Originally Posted by jmac7142 View Post
Hmm... the only ways I can think of to get 1.03 working would be to downgrade glibc (if that's actually the problem/you can do this and not break your system/are willing to re-emerge your system) or to get a copy of an older version of glibc and start the server with LD_LIBRARY_PATH=[path] [server executable] BUT DO NOT EMERGE AN OLDER VERSION OVER YOUR CURRENT VERSION. You'll need to find an archive then make it (DON'T install it).

It'd probably just be easier to use 1.04 though...
Glibc 2.2 to the rescue! That did it. I found some random rpm version of glibc-2.2, unpacked, and gave the path and that was enough. Thank you!


Quote:
Originally Posted by Inyri View Post
Why are you bothering with a 1.03 server? There are few enough 1.04 players. You're going to shoot yourself in the foot in terms of traffic if you're trying to attract 1.03 players.

I don't think it's really worth all the trouble you seem to be going through for the 3 or 4 people who might join your server during its lifetime.
And what comes to this... 1.03 is superior in every way. And 3-4 people is enough for me This is not so serious for me, you know. I just happened to have a chance to run my own server on a decent pc so why not do it. It's always nicer to have complete control, isn't it.
paskanvitut is offline   you may: quote & reply,
Old 09-19-2008, 03:59 PM   #7
Inyri
The Magical Malefactor
 
Inyri's Avatar
 
Join Date: Sep 2004
Location: Chicago
Posts: 2,505
Current Game: Mass Effect 3
Veteran Modder Forum Veteran Helpful! Contest winner - Fan Fiction 
I've never been one to enjoy complete control over nothing, to be honest. I think you'll be lucky if you get 3-4 people over the lifespan of your server. With as much as JK2 popularity has dropped, I honestly think you'll be lucky if you have more than one person join your server in a week.

Seems like a waste of time in the name of 'superiority.'

Inyri is offline   you may: quote & reply,
Old 09-19-2008, 04:02 PM   #8
Mikouen
Rookie
 
Mikouen's Avatar
 
Join Date: Dec 2007
Location: England, UK
Posts: 116
'Superior' as in, has tons of bugs, or 'Superior' as in, the winning theme from Dynasty Warriors 3?

One of those is awesome to have on your iPod. The other is epic fail which is going to leave your server open to more exploitation than the slave trade.

Figure out which is which, I'll give you a cookie.
Mikouen is offline   you may: quote & reply,
Old 09-19-2008, 04:17 PM   #9
paskanvitut
Lurker
 
Join Date: Sep 2008
Posts: 5
I wonder if either of you has even played both 1.03 and 1.04. Suggesting 1.04 to a 1.03 player, yea, that's a great idea! Why not suggest something like Tetris while you're at it. Even though the version number seems to have so little difference they are so very different. (And yes, I know what removing assets5.pk3 does) I can't even think of wasting my time with 1.04. But hey, that's just my opinion. I didn't run this server to get if full of people who go "lollllololo xdxdxdxd" all the time. I ran it to have a place to play with some old friends. And it'll do fine.

Last edited by paskanvitut; 09-19-2008 at 04:56 PM.
paskanvitut is offline   you may: quote & reply,
Old 09-19-2008, 04:43 PM   #10
Mikouen
Rookie
 
Mikouen's Avatar
 
Join Date: Dec 2007
Location: England, UK
Posts: 116
With that kind of racist attitude, maybe you should do the entire human race a favour and avoid contact with other humans until you've learned some damn respect for others.

The planet would be better off without prejudiced scum like you.

And between you and me, having gone over the SDK at painstaking lengths, as well as played multiple versions of JK2 for a large portion of my gaming career, I think I'm in a pretty strong position to point out that the only differences as far as the combat system goes, is that 1.03 has exploits that 1.04 patched.

Anything else is merely a self-validating excuse, just like that "it's legal for twenty-four hours" crap over ROMs.

Frankly, though, your blatant racism is one dead certain indicator that you're not worth my time nor anyone else's.

Your "friends" really need better taste in who they socialise with.

Don't let the 'disconnect from ISP' button kick your ass on the way offline. Because I just know you're not mature enough to handle being called on your BS without doing a /ragequit.
Mikouen is offline   you may: quote & reply,
Old 09-19-2008, 04:56 PM   #11
paskanvitut
Lurker
 
Join Date: Sep 2008
Posts: 5
I never wanted to sound racist. It's just how the servers are nowadays. Simple fact, nothing racist there. It might have come out a little aggressive, but I still didn't find it that offensive. I'll change it anyway so no one like you will ever get offended anymore. You might consider your own approach to this thread while you're pointing out flaws in other people's characters. First you might try to figure out how helpful you were in this thread. There were 3 guys replying to this thread. One actually helped me to solve the problem. The others, well, whatever. I got my problem solved and now I can leave these forums despite the delightful company one can find here.
paskanvitut is offline   you may: quote & reply,
Old 09-19-2008, 10:03 PM   #12
Det. Bart Lasiter
obama.png
 
Det. Bart Lasiter's Avatar
 
Join Date: Mar 2005
Location: `(.)~
Posts: 7,997
Current Game: all
Forum Veteran LF Jester 
How the **** did this thread go from me being awesome to racism?



"No, Mama. You can bet your sweet ass and half a titty whoever put that hit on you already got the cops in their back pocket." ~Black Dynamite
Det. Bart Lasiter is offline   you may: quote & reply,
Old 09-21-2008, 02:52 AM   #13
Agent_Katarn00
Junior Member
 
Agent_Katarn00's Avatar
 
Join Date: Apr 2008
Location: Cloud City,Michigan
Posts: 290
Current Game: Morrowind!
I'm not racist at all but,i don't find anything offensive in that comment.
I don't get it
But,nevermind about that...
Alot of servers are on patch 1.04.



Jedi Knight Dark Forces 2 Mod Project Leader and Console and PC Gamer
Games i'm looking forward to:
-Red Faction Guerrilla
-Fallout New Vegas
-Diablo 3
Agent_Katarn00 is offline   you may: quote & reply,
Post a new thread. Add a reply to this thread. Indicate all threads in this forum as read. Subscribe to this forum. RSS feed: this forum RSS feed: all forums
Go Back   LucasForums > Network > JediKnight Series > Help Center > Technical Help > JK2 1.03 Linux seg fault

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -4. The time now is 08:29 PM.

LFNetwork, LLC ©2002-2011 - All rights reserved.
Powered by vBulletin®
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.